## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check

%global crate varlink-cli

Name:           rust-varlink-cli
Version:        4.5.3
Release:        %autorelease
Summary:        Varlink command line tool

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/varlink-cli
Source0:        %{crates_source}
Source1:        LICENSE.dependencies

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Varlink command line tool.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
Conflicts:      libvarlink-util
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# EPL-2.0
# MIT
# MIT or ASL 2.0
License:        MIT and EPL-2.0 and (ASL 2.0 or Boost)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc README.md
%{_bindir}/varlink

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> 4.5.3-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 4.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> 4.5.3-1
- Update to version 4.5.3; Fixes RHBZ#2029780

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.5.2-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.2-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 29 2021 Fabio Valentini <decathorpe@gmail.com> - 4.5.2-1
- Update to version 4.5.2.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:33:52 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.5.1-3
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 11 2020 Josh Stone <jistone@redhat.com> - 4.5.1-1
- Update to 4.5.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Nov 28 15:10:03 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.5.0-1
- Update to 4.5.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 16 2019 Harald Hoyer <harald@redhat.com> - 4.2.1-1
- Update to 4.2.1

* Sat Feb 16 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.1.0-1
- Update to 4.1.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 13 2018 Josh Stone <jistone@redhat.com> - 3.1.1-1
- Update to 3.1.1

* Mon Dec 10 2018 Josh Stone <jistone@redhat.com> - 3.0.2-1
- Update to 3.0.2

* Thu Dec 06 2018 Josh Stone <jistone@redhat.com> - 3.0.1-1
- Update to 3.0.1

* Mon Dec 03 2018 Josh Stone <jistone@redhat.com> - 3.0.0-2
- Bump to colored_json 0.6

* Thu Nov 29 2018 Josh Stone <jistone@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Sat Nov 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.2.0-2
- Adapt to new packaging

* Tue Oct 09 2018 Josh Stone <jistone@redhat.com> - 2.2.0-1
- Update to 2.2.0

* Mon Oct 08 2018 Josh Stone <jistone@redhat.com> - 2.1.5-1
- Update to 2.1.5

* Sun Sep 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.4-1
- Update to 2.1.4

* Sat Aug 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.2-1
- Update to 2.1.2

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 2.0.0-2
- Rebuild with fixed binutils

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 03 2018 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Fri Jun 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.3-1
- Initial package

